$(function() {
	var timerHandle;

	function setTimer(t) {
		if (t < 0) {
			$('#updateCounter').html('');
			$('#updateForm').submit();
		}
		else {
			$('#updateCounter').html('&nbsp;' + t);
			timerHandle = window.setTimeout(function() {
				setTimer(t - 1);
			}, 1000);
		}
	}
	
	$('#deferUpdate').off('click').on('click', function(event) {
		$('#notNow').val('true');
		$('#updateForm').submit();
	});

	if ($('body').data('automatic') === true) {
		setTimer(100);
	}
});